%define upstream_name Shell-Guess
%define upstream_version 0.06

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Make an educated guess about the shell in use
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)

BuildArch:	noarch

%description
Shell::Guess makes a reasonably aggressive attempt to determine the
shell being employed by the user, either the shell that executed the
perl script directly (the "running" shell), or the users' login shell
(the "login" shell). It does this by a variety of means available to
it, depending on the platform that it is running on.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1033053
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 968019
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 851092
- imported package perl-Shell-Guess

